"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = require("./index");
const create = new index_1.FormCreator(() => ({
    fields: {
        aa: index_1.Str(true)
    }
}));
const form = new index_1.FormController({
    fields: {
        email: index_1.Str(true),
        password: index_1.Str(true),
        confirm: index_1.Str(true)
    },
    validators: {
        email: index_1.EmailValidator(),
        confirm: index_1.EqualWith("password")
    },
    submit: (data) => new Promise(resolve => {
        setTimeout(() => {
            resolve({
                email: "ERROR"
            });
        }, 1000);
    })
});
form.change("email", "aa@aa.aa");
form.change("password", "aa@aa.aa");
form.set("confirm", "2");
form.set("confirm", "aa@aa.aa");
console.log(form.getValues());
form.clear();
console.log(form.getValues());
//# sourceMappingURL=runner.js.map